package com.cftech.workshop.workshop.dao;

import com.cftech.workshop.workshop.model.WorkShopMessageDto;
import com.cftech.workshop.workshop.model.Workshop;
import com.cftech.core.generic.GenericDao;
import com.cftech.workshop.workshop.model.WorkshopDto;
import com.cftech.workshop.workshop.model.WorkshopRSVP;

import java.util.List;
import java.util.Map;

/**
* Mapper
*
* @author byj
* @date: 2018-06-22 17:30
*/
public interface WorkshopMapper extends GenericDao<Workshop> {

    List<WorkshopDto> searchmembershop(Map<String,Object> para);

    List<WorkshopDto> delworkshop(Map<String,Object> para);

    List<WorkshopRSVP> exportRSVP(Map<String,Object> para);

    List<Workshop> selectworkshop(Map<String,Object> para);

    List<WorkShopMessageDto> getTemplateWorkShopMessage(Map<String,Object> para);

    int delnum(Map<String, Object> params);


}